- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Entry

## Macros
#define | elm_obj_entry_text_style_user_push(style) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_PUSH), EO_TYPECHECK(const char *, style)
#define | elm_obj_entry_text_style_user_pop() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_POP)
#define | elm_obj_entry_text_style_user_peek(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_PEEK), EO_TYPECHECK(const char **, ret)
#define | elm_obj_entry_single_line_set(single_line) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SINGLE_LINE_SET), EO_TYPECHECK(Eina_Bool, single_line)
#define | elm_obj_entry_single_line_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SINGLE_LINE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_password_set(password) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PASSWORD_SET), EO_TYPECHECK(Eina_Bool, password)
#define | elm_obj_entry_password_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PASSWORD_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_entry_append(entry) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ENTRY_APPEND), EO_TYPECHECK(const char *, entry)
#define | elm_obj_entry_is_empty(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IS_EMPTY), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_textblock_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXTBLOCK_GET), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_entry_calc_force() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CALC_FORCE)
#define | elm_obj_entry_selection_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_entry_selection_handler_disabled_set(disbaled) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_HANDLER_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_entry_selection_handler_disabled_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_HANDLER_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_entry_insert(entry) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ENTRY_INSERT), EO_TYPECHECK(const char *, entry)
#define | elm_obj_entry_line_wrap_set(wrap) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_LINE_WRAP_SET), EO_TYPECHECK(Elm_Wrap_Type, wrap)
#define | elm_obj_entry_line_wrap_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_LINE_WRAP_GET), EO_TYPECHECK(Elm_Wrap_Type *, ret)
#define | elm_obj_entry_editable_set(editable) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, editable)
#define | elm_obj_entry_editable_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_select_none() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECT_NONE)
#define | elm_obj_entry_select_all() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECT_ALL)
#define | elm_obj_entry_cursor_geometry_get(x, y, w, h, ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_GEOMETRY_GET), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_next(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_NEXT), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_prev(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_PREV), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_up(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_UP), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_down(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_DOWN), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_begin_set() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_BEGIN_SET)
#define | elm_obj_entry_cursor_end_set() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_END_SET)
#define | elm_obj_entry_cursor_line_begin_set() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_LINE_BEGIN_SET)
#define | elm_obj_entry_cursor_line_end_set() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_LINE_END_SET)
#define | elm_obj_entry_cursor_selection_begin() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_SELECTION_BEGIN)
#define | elm_obj_entry_cursor_selection_end() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_SELECTION_END)
#define | elm_obj_entry_cursor_is_format_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_IS_FORMAT_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_is_visible_format_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_IS_VISIBLE_FORMAT_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cursor_content_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_CONTENT_GET), EO_TYPECHECK(char **, ret)
#define | elm_obj_entry_cursor_pos_set(pos) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_POS_SET), EO_TYPECHECK(int, pos)
#define | elm_obj_entry_cursor_pos_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_POS_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_entry_selection_cut() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_CUT)
#define | elm_obj_entry_selection_copy() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_COPY)
#define | elm_obj_entry_selection_paste() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_PASTE)
#define | elm_obj_entry_context_menu_clear() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_CLEAR)
#define | elm_obj_entry_context_menu_item_add(label, icon_file, icon_type, func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_ITEM_ADD), EO_TYPECHECK(const char *, label), EO_TYPECHECK(const char *, icon_file), EO_TYPECHECK(Elm_Icon_Type, icon_type), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data)
#define | elm_obj_entry_context_menu_disabled_set(disabled) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_entry_context_menu_disabled_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_item_provider_append(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_APPEND), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_item_provider_prepend(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_PREPEND), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_item_provider_remove(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_REMOVE), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_markup_filter_append(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_APPEND), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_markup_filter_prepend(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_PREPEND), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_markup_filter_remove(func, data) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_REMOVE), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | elm_obj_entry_file_set(file, format, ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(Elm_Text_Format, format), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_file_get(file, format) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(Elm_Text_Format *, format)
#define | elm_obj_entry_file_save() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_SAVE)
#define | elm_obj_entry_autosave_set(auto_save) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOSAVE_SET), EO_TYPECHECK(Eina_Bool, auto_save)
#define | elm_obj_entry_autosave_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOSAVE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_cnp_mode_set(cnp_mode) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CNP_MODE_SET), EO_TYPECHECK(Elm_Cnp_Mode, cnp_mode)
#define | elm_obj_entry_cnp_mode_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CNP_MODE_GET), EO_TYPECHECK(Elm_Cnp_Mode *, ret)
#define | elm_obj_entry_scrollable_set(scroll) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SCROLLABLE_SET), EO_TYPECHECK(Eina_Bool, scroll)
#define | elm_obj_entry_scrollable_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SCROLLABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_icon_visible_set(setting) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ICON_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, setting)
#define | elm_obj_entry_end_visible_set(setting) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_END_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, setting)
#define | elm_obj_entry_input_panel_layout_set(layout) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_SET), EO_TYPECHECK(Elm_Input_Panel_Layout, layout)
#define | elm_obj_entry_input_panel_layout_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_GET), EO_TYPECHECK(Elm_Input_Panel_Layout *, ret)
#define | elm_obj_entry_input_panel_layout_variation_set(variation) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_VARIATION_SET), EO_TYPECHECK(int, variation)
#define | elm_obj_entry_input_panel_layout_variation_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_VARIATION_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_entry_autocapital_type_set(autocapital_type) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOCAPITAL_TYPE_SET), EO_TYPECHECK(Elm_Autocapital_Type, autocapital_type)
#define | elm_obj_entry_autocapital_type_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOCAPITAL_TYPE_GET), EO_TYPECHECK(Elm_Autocapital_Type *, ret)
#define | elm_obj_entry_prediction_allow_set(prediction) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PREDICTION_ALLOW_SET), EO_TYPECHECK(Eina_Bool, prediction)
#define | elm_obj_entry_prediction_allow_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PREDICTION_ALLOW_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_imf_context_reset() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IMF_CONTEXT_RESET)
#define | elm_obj_entry_input_panel_enabled_set(enabled) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)
#define | elm_obj_entry_input_panel_enabled_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_input_panel_show() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_SHOW)
#define | elm_obj_entry_input_panel_hide() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_HIDE)
#define | elm_obj_entry_input_panel_language_set(lang) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LANGUAGE_SET), EO_TYPECHECK(Elm_Input_Panel_Lang, lang)
#define | elm_obj_entry_input_panel_language_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LANGUAGE_GET), EO_TYPECHECK(Elm_Input_Panel_Lang *, ret)
#define | elm_obj_entry_input_panel_imdata_set(data, len) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_IMDATA_SET), EO_TYPECHECK(const void *, data), EO_TYPECHECK(int, len)
#define | elm_obj_entry_input_panel_imdata_get(data, len) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_IMDATA_GET), EO_TYPECHECK(void *, data), EO_TYPECHECK(int *, len)
#define | elm_obj_entry_input_panel_return_key_type_set(return_key_type) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_TYPE_SET), EO_TYPECHECK(Elm_Input_Panel_Return_Key_Type, return_key_type)
#define | elm_obj_entry_input_panel_return_key_type_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_TYPE_GET), EO_TYPECHECK(Elm_Input_Panel_Return_Key_Type *, ret)
#define | elm_obj_entry_input_panel_return_key_disabled_set(disabled) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_entry_input_panel_return_key_disabled_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_entry_input_panel_return_key_autoenabled_set(enabled) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_AUTOENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)
#define | elm_obj_entry_imf_context_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IMF_CONTEXT_GET), EO_TYPECHECK(void **, ret)
#define | elm_obj_entry_anchor_hover_parent_set(parent) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_PARENT_SET), EO_TYPECHECK(Evas_Object *, parent)
#define | elm_obj_entry_anchor_hover_parent_get(ret) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_PARENT_GET), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_entry_anchor_hover_style_set(style) ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_STYLE_SET), EO_TYPECHECK(const char *, style)
#define | elm_obj_entry_anchor_hover_end() ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_END)

## Functions
EINA_DEPRECATED void | elm_entry_scrollbar_policy_set (Evas_Object *obj, Elm_Scroller_Policy h, Elm_Scroller_Policy v)
| This sets the entry's scrollbar policy (i.e. More...
EINA_DEPRECATED void | elm_entry_bounce_set (Evas_Object *obj, Eina_Bool h_bounce, Eina_Bool v_bounce)
| This enables/disables bouncing within the entry. More...
EINA_DEPRECATED void | elm_entry_bounce_get (const Evas_Object *obj, Eina_Bool *h_bounce, Eina_Bool *v_bounce)
| Get the bounce mode. More...
char * | elm_entry_markup_to_utf8 (const char *s)
| This converts a markup (HTML-like) string into UTF-8. More...
char * | elm_entry_utf8_to_markup (const char *s)
| This converts a UTF-8 string into markup (HTML-like). More...
void | elm_entry_filter_limit_size (void *data, Evas_Object *entry, char **text)
| Filter inserted text based on user defined character and byte limits. More...
void | elm_entry_filter_accept_set (void *data, Evas_Object *entry, char **text)
| Filter inserted text based on accepted or rejected sets of characters. More...
const char * | elm_entry_context_menu_item_label_get (const Elm_Entry_Context_Menu_Item *item)
| Get the text of the contextual menu item. More...
void | elm_entry_context_menu_item_icon_get (const Elm_Entry_Context_Menu_Item *item, const char **icon_file, const char **icon_group, Elm_Icon_Type *icon_type)
| Get the icon object of the contextual menu item. More...
Evas_Object * | elm_entry_add (Evas_Object *parent)
| This adds an entry to `parent` object. More...
void | elm_entry_entry_set (Evas_Object *obj, const char *entry)
| This sets the text displayed within the entry to `entry`. More...
const char * | elm_entry_entry_get (const Evas_Object *obj)
| This returns the text currently shown in object `entry`. More...
void | elm_entry_single_line_set (Evas_Object *obj, Eina_Bool single_line)
| Sets the entry to single line mode. More...
Eina_Bool | elm_entry_single_line_get (const Evas_Object *obj)
| Get whether the entry is set to be single line. More...
void | elm_entry_password_set (Evas_Object *obj, Eina_Bool password)
| Sets the entry to password mode. More...
Eina_Bool | elm_entry_password_get (const Evas_Object *obj)
| Get whether the entry is set to password mode. More...
void | elm_entry_entry_append (Evas_Object *obj, const char *entry)
| Appends `entry` to the text of the entry. More...
Eina_Bool | elm_entry_is_empty (const Evas_Object *obj)
| Get whether the entry is empty. More...
Evas_Object * | elm_entry_textblock_get (Evas_Object *obj)
| Returns the actual textblock object of the entry. More...
void | elm_entry_calc_force (Evas_Object *obj)
| Forces calculation of the entry size and text layouting. More...
const char * | elm_entry_selection_get (const Evas_Object *obj)
| Get any selected text within the entry. More...
void | elm_entry_selection_handler_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| This disabled the entry's selection handlers. More...
void | elm_entry_entry_insert (Evas_Object *obj, const char *entry)
| Inserts the given text into the entry at the current cursor position. More...
Elm_Wrap_Type | elm_entry_line_wrap_get (const Evas_Object *obj)
| Get the wrap mode the entry was set to use. More...
void | elm_entry_editable_set (Evas_Object *obj, Eina_Bool editable)
| Sets if the entry is to be editable or not. More...
Eina_Bool | elm_entry_editable_get (const Evas_Object *obj)
| Get whether the entry is editable or not. More...
void | elm_entry_select_none (Evas_Object *obj)
| This drops any existing text selection within the entry. More...
void | elm_entry_select_all (Evas_Object *obj)
| This selects all text within the entry. More...
Eina_Bool | elm_entry_cursor_geometry_get (const Evas_Object *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| This function returns the geometry of the cursor. More...
Eina_Bool | elm_entry_cursor_next (Evas_Object *obj)
| This moves the cursor one place to the right within the entry. More...
Eina_Bool | elm_entry_cursor_prev (Evas_Object *obj)
| This moves the cursor one place to the left within the entry. More...
Eina_Bool | elm_entry_cursor_up (Evas_Object *obj)
| This moves the cursor one line up within the entry. More...
Eina_Bool | elm_entry_cursor_down (Evas_Object *obj)
| This moves the cursor one line down within the entry. More...
void | elm_entry_cursor_begin_set (Evas_Object *obj)
| This moves the cursor to the beginning of the entry. More...
void | elm_entry_cursor_end_set (Evas_Object *obj)
| This moves the cursor to the end of the entry. More...
void | elm_entry_cursor_line_begin_set (Evas_Object *obj)
| This moves the cursor to the beginning of the current line. More...
void | elm_entry_cursor_line_end_set (Evas_Object *obj)
| This moves the cursor to the end of the current line. More...
void | elm_entry_cursor_selection_begin (Evas_Object *obj)
| This begins a selection within the entry as though the user were holding down the mouse button to make a selection. More...
void | elm_entry_cursor_selection_end (Evas_Object *obj)
| This ends a selection within the entry as though the user had just released the mouse button while making a selection. More...
Eina_Bool | elm_entry_cursor_is_format_get (const Evas_Object *obj)
| Get whether a format node exists at the current cursor position. More...
Eina_Bool | elm_entry_cursor_is_visible_format_get (const Evas_Object *obj)
| Get if the current cursor position holds a visible format node. More...
char * | elm_entry_cursor_content_get (const Evas_Object *obj)
| Get the character pointed by the cursor at its current position. More...
void | elm_entry_cursor_pos_set (Evas_Object *obj, int pos)
| Sets the cursor position in the entry to the given value. More...
int | elm_entry_cursor_pos_get (const Evas_Object *obj)
| Retrieves the current position of the cursor in the entry. More...
void | elm_entry_selection_cut (Evas_Object *obj)
| This executes a "cut" action on the selected text in the entry. More...
void | elm_entry_selection_copy (Evas_Object *obj)
| This executes a "copy" action on the selected text in the entry. More...
void | elm_entry_selection_paste (Evas_Object *obj)
| This executes a "paste" action in the entry. More...
void | elm_entry_context_menu_clear (Evas_Object *obj)
| This clears and frees the items in a entry's contextual (longpress) menu. More...
void | elm_entry_context_menu_item_add (Evas_Object *obj, const char *label, const char *icon_file, Elm_Icon_Type icon_type, Evas_Smart_Cb func, const void *data)
| This adds an item to the entry's contextual menu. More...
void | elm_entry_context_menu_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| This disables the entry's contextual (longpress) menu. More...
Eina_Bool | elm_entry_context_menu_disabled_get (const Evas_Object *obj)
| This returns whether the entry's contextual (longpress) menu is disabled. More...
void | elm_entry_item_provider_append (Evas_Object *obj, Elm_Entry_Item_Provider_Cb func, void *data)
| This appends a custom item provider to the list for that entry. More...
void | elm_entry_item_provider_prepend (Evas_Object *obj, Elm_Entry_Item_Provider_Cb func, void *data)
| This prepends a custom item provider to the list for that entry. More...
void | elm_entry_item_provider_remove (Evas_Object *obj, Elm_Entry_Item_Provider_Cb func, void *data)
| This removes a custom item provider to the list for that entry. More...
void | elm_entry_markup_filter_append (Evas_Object *obj, Elm_Entry_Filter_Cb func, void *data)
| Append a markup filter function for text inserted in the entry. More...
void | elm_entry_markup_filter_prepend (Evas_Object *obj, Elm_Entry_Filter_Cb func, void *data)
| Prepend a markup filter function for text inserted in the entry. More...
void | elm_entry_markup_filter_remove (Evas_Object *obj, Elm_Entry_Filter_Cb func, void *data)
| Remove a markup filter from the list. More...
Eina_Bool | elm_entry_file_set (Evas_Object *obj, const char *file, Elm_Text_Format format)
| This sets the file (and implicitly loads it) for the text to display and then edit. More...
void | elm_entry_file_get (const Evas_Object *obj, const char **file, Elm_Text_Format *format)
| Get the file being edited by the entry. More...
void | elm_entry_file_save (Evas_Object *obj)
| This function writes any changes made to the file set with elm_entry_file_set() More...
void | elm_entry_autosave_set (Evas_Object *obj, Eina_Bool autosave)
| This sets the entry object to 'autosave' the loaded text file or not. More...
Eina_Bool | elm_entry_autosave_get (const Evas_Object *obj)
| This gets the entry object's 'autosave' status. More...
void | elm_entry_cnp_mode_set (Evas_Object *obj, Elm_Cnp_Mode cnp_mode)
| Control pasting of text and images for the widget. More...
Elm_Cnp_Mode | elm_entry_cnp_mode_get (const Evas_Object *obj)
| Getting elm_entry text paste/drop mode. More...
void | elm_entry_scrollable_set (Evas_Object *obj, Eina_Bool scroll)
| Enable or disable scrolling in entry. More...
Eina_Bool | elm_entry_scrollable_get (const Evas_Object *obj)
| Get the scrollable state of the entry. More...
void | elm_entry_icon_visible_set (Evas_Object *obj, Eina_Bool setting)
| Sets the visibility of the left-side widget of the entry, set by elm_object_part_content_set(). More...
void | elm_entry_end_visible_set (Evas_Object *obj, Eina_Bool setting)
| Sets the visibility of the end widget of the entry, set by elm_object_part_content_set(ent, "end", content). More...
void | elm_entry_input_panel_layout_set (Evas_Object *obj, Elm_Input_Panel_Layout layout)
| Set the input panel layout of the entry. More...
Elm_Input_Panel_Layout | elm_entry_input_panel_layout_get (const Evas_Object *obj)
| Get the input panel layout of the entry. More...
void | elm_entry_autocapital_type_set (Evas_Object *obj, Elm_Autocapital_Type autocapital_type)
| Set the autocapitalization type on the immodule. More...
Elm_Autocapital_Type | elm_entry_autocapital_type_get (const Evas_Object *obj)
| Retrieve the autocapitalization type on the immodule. More...
void | elm_entry_prediction_allow_set (Evas_Object *obj, Eina_Bool prediction)
| Set whether the entry should allow to use the text prediction. More...
Eina_Bool | elm_entry_prediction_allow_get (const Evas_Object *obj)
| Get whether the entry should allow to use the text prediction. More...
void | elm_entry_imf_context_reset (Evas_Object *obj)
| Reset the input method context of the entry if needed. More...
void | elm_entry_input_panel_enabled_set (Evas_Object *obj, Eina_Bool enabled)
| Sets the attribute to show the input panel automatically. More...
Eina_Bool | elm_entry_input_panel_enabled_get (const Evas_Object *obj)
| Retrieve the attribute to show the input panel automatically. More...
void | elm_entry_input_panel_show (Evas_Object *obj)
| Show the input panel (virtual keyboard) based on the input panel property of entry such as layout, autocapital types, and so on. More...
void | elm_entry_input_panel_hide (Evas_Object *obj)
| Hide the input panel (virtual keyboard). More...
void | elm_entry_input_panel_language_set (Evas_Object *obj, Elm_Input_Panel_Lang lang)
| Set the language mode of the input panel. More...
Elm_Input_Panel_Lang | elm_entry_input_panel_language_get (const Evas_Object *obj)
| Get the language mode of the input panel. More...
void | elm_entry_input_panel_imdata_set (Evas_Object *obj, const void *data, int len)
| Set the input panel-specific data to deliver to the input panel. More...
void | elm_entry_input_panel_imdata_get (const Evas_Object *obj, void *data, int *len)
| Get the specific data of the current input panel. More...
void | elm_entry_input_panel_return_key_type_set (Evas_Object *obj, Elm_Input_Panel_Return_Key_Type return_key_type)
| Set the "return" key type. More...
Elm_Input_Panel_Return_Key_Type | elm_entry_input_panel_return_key_type_get (const Evas_Object *obj)
| Get the "return" key type. More...
void | elm_entry_input_panel_return_key_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| Set the return key on the input panel to be disabled. More...
Eina_Bool | elm_entry_input_panel_return_key_disabled_get (const Evas_Object *obj)
| Get whether the return key on the input panel should be disabled or not. More...
void | elm_entry_input_panel_return_key_autoenabled_set (Evas_Object *obj, Eina_Bool enabled)
| Set whether the return key on the input panel is disabled automatically when entry has no text. More...
void * | elm_entry_imf_context_get (Evas_Object *obj)
| Returns the input method context of the entry. More...
void | elm_entry_anchor_hover_parent_set (Evas_Object *obj, Evas_Object *parent)
| Set the parent of the hover popup. More...
Evas_Object * | elm_entry_anchor_hover_parent_get (const Evas_Object *obj)
| Get the parent of the hover popup. More...
void | elm_entry_anchor_hover_style_set (Evas_Object *obj, const char *style)
| Set the style that the hover should use. More...
const char * | elm_entry_anchor_hover_style_get (const Evas_Object *obj)
| Get the style that the hover should use. More...
void | elm_entry_anchor_hover_end (Evas_Object *obj)
| Ends the hover popup in the entry. More...
void | elm_entry_input_panel_layout_variation_set (Evas_Object *obj, int variation)
| Set the input panel layout variation of the entry. More...
int | elm_entry_input_panel_layout_variation_get (const Evas_Object *obj)
| Get the input panel layout variation of the entry. More...

## Detailed Description

An entry is a convenience widget which shows a box that the user can enter text into. Entries by default don't scroll, so they grow to accommodate the entire text, resizing the parent window as needed. This can be changed with the elm_entry_scrollable_set() function.

They can also be single line or multi line (the default) and when set to multi line mode they support text wrapping in any of the modes indicated by #Elm_Wrap_Type.

Other features include password mode, filtering of inserted text with elm_entry_markup_filter_append() and related functions, inline "items" and formatted markup text.

This widget inherits from the Layout one, so that all the functions acting on it also work for entry objects (

Since
  1.8).

This widget implements the elm-scrollable-interface interface, so that all (non-deprecated) functions for the base Scroller widget also work for entries (

Since
  1.8).

Some calls on the entry's API are marked as deprecated, as they just wrap the scrollable widgets counterpart functions. Use the ones we point you to, for each case of deprecation here, instead – eventually the deprecated ones will be discarded (next major release).

# Formatted text

The markup tags supported by the Entry are defined by the theme, but even when writing new themes or extensions it's a good idea to stick to a sane default, to maintain coherency and avoid application breakages. Currently defined by the default theme are the following tags:

- <br>: Inserts a line break.
- <ps>: Inserts a paragraph separator. This is preferred over line breaks.
- <tab>: Inserts a tab.
- <em>...</em>: Emphasis. Sets the oblique style for the enclosed text.
- <b>...</b>: Sets the bold style for the enclosed text.
- <link>...</link>: Underlines the enclosed text.
- <hilight>...</hilight>: Highlights the enclosed text.

# Special markups

Besides those used to format text, entries support two special markup tags used to insert click-able portions of text or items inlined within the text.

## Anchors

Anchors are similar to HTML anchors. Text can be surrounded by <a> and </a> tags and an event will be generated when this text is clicked, like this:

This text is outside <a href=anc-01>but this one is an anchor</a>

The `href` attribute in the opening tag gives the name that will be used to identify the anchor and it can be any valid utf8 string.

When an anchor is clicked, an `"anchor,clicked"` signal is emitted with an #Elm_Entry_Anchor_Info in the `event_info` parameter for the callback function. The same applies for "anchor,in" (mouse in), "anchor,out" (mouse out), "anchor,down" (mouse down), and "anchor,up" (mouse up) events on an anchor.

## Items

Inlined in the text, any other `Evas_Object` can be inserted by using <item> tags this way:

<item size=16x16 vsize=full href=emoticon/haha></item>

Just like with anchors, the `href` identifies each item, but these need, in addition, to indicate their size, which is done using any one of `size`, `absize` or `relsize` attributes. These attributes take their value in the WxH format, where W is the width and H the height of the item.

- absize: Absolute pixel size for the item. Whatever value is set will be the item's size regardless of any scale value the object may have been set to. The final line height will be adjusted to fit larger items.
- size: Similar to `absize`, but it's adjusted to the scale value set for the object.
- relsize: Size is adjusted for the item to fit within the current line height.

Besides their size, items are specified a `vsize` value that affects how their final size and position are calculated. The possible values are:

- ascent: Item will be placed within the line's baseline and its ascent. That is, the height between the line where all characters are positioned and the highest point in the line. For `size` and `absize` items, the descent value will be added to the total line height to make them fit. `relsize` items will be adjusted to fit within this space.
- full: Items will be placed between the descent and ascent, or the lowest point in the line and its highest.

The next image shows different configurations of items and how the previously mentioned options affect their sizes. In all cases, the green line indicates the ascent, blue for the baseline and red for the descent.

And another one to show how size differs from absize. In the first one, the scale value is set to 1.0, while the second one is using one of 2.0.

After the size for an item is calculated, the entry will request an object to place in its space. For this, the functions set with elm_entry_item_provider_append() and related functions will be called in order until one of them returns a `non-NULL` value. If no providers are available, or all of them return `NULL`, then the entry falls back to one of the internal defaults, provided the name matches with one of them.

All of the following are currently supported:

- emoticon/angry
- emoticon/angry-shout
- emoticon/crazy-laugh
- emoticon/evil-laugh
- emoticon/evil
- emoticon/goggle-smile
- emoticon/grumpy
- emoticon/grumpy-smile
- emoticon/guilty
- emoticon/guilty-smile
- emoticon/haha
- emoticon/half-smile
- emoticon/happy-panting
- emoticon/happy
- emoticon/indifferent
- emoticon/kiss
- emoticon/knowing-grin
- emoticon/laugh
- emoticon/little-bit-sorry
- emoticon/love-lots
- emoticon/love
- emoticon/minimal-smile
- emoticon/not-happy
- emoticon/not-impressed
- emoticon/omg
- emoticon/opensmile
- emoticon/smile
- emoticon/sorry
- emoticon/squint-laugh
- emoticon/surprised
- emoticon/suspicious
- emoticon/tongue-dangling
- emoticon/tongue-poke
- emoticon/uh
- emoticon/unhappy
- emoticon/very-sorry
- emoticon/what
- emoticon/wink
- emoticon/worried
- emoticon/wtf

Alternatively, an item may reference an image by its path, using the URI form `file:///path/to/an/image.png` and the entry will then use that image for the item.

# Setting entry's style

There are 2 major ways to change the entry's style:

- Theme - set the "base" field to the desired style.
- User style - Pushing overrides to the theme style to the textblock object by using evas_object_textblock_style_user_push().

You should modify the theme when you would like to change the style for aesthetic reasons. While the user style should be changed when you would like to change the style to something specific defined at run-time, e.g, setting font or font size in a text editor.

# Loading and saving files

Entries have convenience functions to load text from a file and save changes back to it after a short delay. The automatic saving is enabled by default, but can be disabled with elm_entry_autosave_set() and files can be loaded directly as plain text or have any markup in them recognized. See elm_entry_file_set() for more details.

# Emitted signals

This widget emits the following signals, besides the ones sent from Layout:

- "changed": The text within the entry was changed.
- "changed,user": The text within the entry was changed because of user interaction.
- "activated": The enter key was pressed on a single line entry.
- "aborted": The escape key was pressed on a single line entry. (since 1.7)
- "press": A mouse button has been pressed on the entry.
- "longpressed": A mouse button has been pressed and held for a couple seconds.
- "clicked": The entry has been clicked (mouse press and release).
- "clicked,double": The entry has been double clicked.
- "clicked,triple": The entry has been triple clicked.
- "focused": The entry has received focus.
- "unfocused": The entry has lost focus.
- "selection,paste": A paste of the clipboard contents was requested.
- "selection,copy": A copy of the selected text into the clipboard was requested.
- "selection,cut": A cut of the selected text into the clipboard was requested.
- "selection,start": A selection has begun and no previous selection existed.
- "selection,changed": The current selection has changed.
- "selection,cleared": The current selection has been cleared.
- "cursor,changed": The cursor has changed position.
- "cursor,changed,manual": The cursor has changed position manually.
- "anchor,clicked": An anchor has been clicked. The event_info parameter for the callback will be an #Elm_Entry_Anchor_Info.
- "anchor,in": Mouse cursor has moved into an anchor. The event_info parameter for the callback will be an #Elm_Entry_Anchor_Info.
- "anchor,out": Mouse cursor has moved out of an anchor. The event_info parameter for the callback will be an #Elm_Entry_Anchor_Info.
- "anchor,up": Mouse button has been unpressed on an anchor. The event_info parameter for the callback will be an #Elm_Entry_Anchor_Info.
- "anchor,down": Mouse button has been pressed on an anchor. The event_info parameter for the callback will be an #Elm_Entry_Anchor_Info.
- "preedit,changed": The preedit string has changed.
- "language,changed": Program language changed.
- "text,set,done": Whole text has been set to the entry.

Default content parts of the entry items that you can use for are:

- "icon" - An icon in the entry
- "end" - A content in the end of the entry

Default text parts of the entry that you can use for are:

- "default" - text of the entry
- "guide" - placeholder of the entry

Supported elm_object common APIs.

- elm_object_signal_emit
- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset
- elm_object_signal_callback_add
- elm_object_signal_callback_del
- elm_object_disabled_set
- elm_object_disabled_get

# entry-examples

An overview of the Entry API can be seen in Entry - Example of simple editing

## Macro Definition Documentation

#define elm_obj_entry_anchor_hover_end | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_END)

Since
  1.8

Ends the hover popup in the entry

See Also
  elm_entry_anchor_hover_end

Referenced by elm_entry_anchor_hover_end().

#define elm_obj_entry_anchor_hover_parent_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_PARENT_GET), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Get the parent of the hover popup

Parameters

  [out] | ret |

See Also
  elm_entry_anchor_hover_parent_get

Referenced by elm_entry_anchor_hover_parent_get().

#define elm_obj_entry_anchor_hover_parent_set | ( |  | parent | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_PARENT_SET), EO_TYPECHECK(Evas_Object *, parent)

Since
  1.8

Set the parent of the hover popup

Parameters

  [in] | parent |

See Also
  elm_entry_anchor_hover_parent_set

Referenced by elm_entry_anchor_hover_parent_set().

#define elm_obj_entry_anchor_hover_style_set | ( |  | style | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ANCHOR_HOVER_STYLE_SET), EO_TYPECHECK(const char *, style)

Since
  1.8

Set the style that the hover should use

Parameters

  [in] | style |

See Also
  elm_entry_anchor_hover_style_set

Referenced by elm_entry_anchor_hover_style_set().

#define elm_obj_entry_autocapital_type_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOCAPITAL_TYPE_GET), EO_TYPECHECK(Elm_Autocapital_Type *, ret)

Since
  1.8

Retrieve the autocapitalization type on the immodule.

Parameters

  [out] | ret |

See Also
  elm_entry_autocapital_type_get

Referenced by elm_entry_autocapital_type_get().

#define elm_obj_entry_autocapital_type_set | ( |  | autocapital_type | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOCAPITAL_TYPE_SET), EO_TYPECHECK(Elm_Autocapital_Type, autocapital_type)

Since
  1.8

Set the autocapitalization type on the immodule.

Parameters

  [in] | autocapital_type |

See Also
  elm_entry_autocapital_type_set

Referenced by elm_entry_autocapital_type_set().

#define elm_obj_entry_autosave_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOSAVE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This gets the entry object's 'autosave' status.

Parameters

  [out] | ret |

See Also
  elm_entry_autosave_get

Referenced by elm_entry_autosave_get().

#define elm_obj_entry_autosave_set | ( |  | auto_save | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_AUTOSAVE_SET), EO_TYPECHECK(Eina_Bool, auto_save)

Since
  1.8

This sets the entry object to 'autosave' the loaded text file or not.

Parameters

  [in] | auto_save |

See Also
  elm_entry_autosave_set

Referenced by elm_entry_autosave_set().

#define elm_obj_entry_calc_force | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CALC_FORCE)

Since
  1.8

Forces calculation of the entry size and text layouting.

See Also
  elm_entry_calc_force

Referenced by elm_entry_calc_force().

#define elm_obj_entry_cnp_mode_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CNP_MODE_GET), EO_TYPECHECK(Elm_Cnp_Mode *, ret)

Since
  1.8

Getting elm_entry text paste/drop mode.

Parameters

  [out] | ret |

See Also
  elm_entry_cnp_mode_get

Referenced by elm_entry_cnp_mode_get().

#define elm_obj_entry_cnp_mode_set | ( |  | cnp_mode | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CNP_MODE_SET), EO_TYPECHECK(Elm_Cnp_Mode, cnp_mode)

Since
  1.8

Control pasting of text and images for the widget.

Parameters

  [in] | cnp_mode |

See Also
  elm_entry_cnp_mode_set

Referenced by elm_entry_cnp_mode_set().

#define elm_obj_entry_context_menu_clear | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_CLEAR)

Since
  1.8

This clears and frees the items in a entry's contextual (longpress)

See Also
  elm_entry_context_menu_clear

Referenced by elm_entry_context_menu_clear().

#define elm_obj_entry_context_menu_disabled_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This returns whether the entry's contextual (longpress) menu is disabled.

Parameters

  [out] | ret |

See Also
  elm_entry_context_menu_disabled_get

Referenced by elm_entry_context_menu_disabled_get().

#define elm_obj_entry_context_menu_disabled_set | ( |  | disabled | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

This disables the entry's contextual (longpress) menu.

Parameters

  [in] | disabled |

See Also
  elm_entry_context_menu_disabled_set

Referenced by elm_entry_context_menu_disabled_set().

#define elm_obj_entry_context_menu_item_add | ( |  | label,
|  |  | icon_file,
|  |  | icon_type,
|  |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CONTEXT_MENU_ITEM_ADD), EO_TYPECHECK(const char *, label), EO_TYPECHECK(const char *, icon_file), EO_TYPECHECK(Elm_Icon_Type, icon_type), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data)

Since
  1.8

This adds an item to the entry's contextual menu.

Parameters

  [in] | label |
  [in] | icon_file |
  [in] | icon_type |
  [in] | func |
  [in] | data |

See Also
  elm_entry_context_menu_item_add

Referenced by elm_entry_context_menu_item_add().

#define elm_obj_entry_cursor_begin_set | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_BEGIN_SET)

Since
  1.8

This moves the cursor to the beginning of the entry.

See Also
  elm_entry_cursor_begin_set

Referenced by elm_entry_cursor_begin_set().

#define elm_obj_entry_cursor_content_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_CONTENT_GET), EO_TYPECHECK(char **, ret)

Since
  1.8

Get the character pointed by the cursor at its current position.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_content_get

Referenced by elm_entry_cursor_content_get().

#define elm_obj_entry_cursor_down | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_DOWN), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This moves the cursor one line down within the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_down

Referenced by elm_entry_cursor_down().

#define elm_obj_entry_cursor_end_set | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_END_SET)

Since
  1.8

This moves the cursor to the end of the entry.

See Also
  elm_entry_cursor_end_set

Referenced by elm_entry_cursor_end_set().

#define elm_obj_entry_cursor_geometry_get | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h,
|  |  | ret
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_GEOMETRY_GET), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This function returns the geometry of the cursor.

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |
  [out] | ret |

See Also
  elm_entry_cursor_geometry_get

Referenced by elm_entry_cursor_geometry_get().

#define elm_obj_entry_cursor_is_format_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_IS_FORMAT_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether a format node exists at the current cursor position.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_is_format_get

Referenced by elm_entry_cursor_is_format_get().

#define elm_obj_entry_cursor_is_visible_format_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_IS_VISIBLE_FORMAT_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get if the current cursor position holds a visible format node.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_is_visible_format_get

Referenced by elm_entry_cursor_is_visible_format_get().

#define elm_obj_entry_cursor_line_begin_set | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_LINE_BEGIN_SET)

Since
  1.8

This moves the cursor to the beginning of the current line.

See Also
  elm_entry_cursor_line_begin_set

Referenced by elm_entry_cursor_line_begin_set().

#define elm_obj_entry_cursor_line_end_set | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_LINE_END_SET)

Since
  1.8

This moves the cursor to the end of the current line.

See Also
  elm_entry_cursor_line_end_set

Referenced by elm_entry_cursor_line_end_set().

#define elm_obj_entry_cursor_next | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_NEXT), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This moves the cursor one place to the right within the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_next

Referenced by elm_entry_cursor_next().

#define elm_obj_entry_cursor_pos_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_POS_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Retrieves the current position of the cursor in the entry

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_pos_get

Referenced by elm_entry_cursor_pos_get().

#define elm_obj_entry_cursor_pos_set | ( |  | pos | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_POS_SET), EO_TYPECHECK(int, pos)

Since
  1.8

Sets the cursor position in the entry to the given value

Parameters

  [in] | pos |

See Also
  elm_entry_cursor_pos_set

Referenced by elm_entry_cursor_pos_set().

#define elm_obj_entry_cursor_prev | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_PREV), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This moves the cursor one place to the left within the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_prev

Referenced by elm_entry_cursor_prev().

#define elm_obj_entry_cursor_selection_begin | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_SELECTION_BEGIN)

Since
  1.8

This begins a selection within the entry as though

See Also
  elm_entry_cursor_selection_begin

Referenced by elm_entry_cursor_selection_begin().

#define elm_obj_entry_cursor_selection_end | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_SELECTION_END)

Since
  1.8

This ends a selection within the entry as though

See Also
  elm_entry_cursor_selection_end

Referenced by elm_entry_cursor_selection_end().

#define elm_obj_entry_cursor_up | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_CURSOR_UP), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This moves the cursor one line up within the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_cursor_up

Referenced by elm_entry_cursor_up().

#define elm_obj_entry_editable_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the entry is editable or not.

Parameters

  [out] | ret |

See Also
  elm_entry_editable_get

Referenced by elm_entry_editable_get().

#define elm_obj_entry_editable_set | ( |  | editable | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, editable)

Since
  1.8

Sets if the entry is to be editable or not.

Parameters

  [in] | editable |

See Also
  elm_entry_editable_set

Referenced by elm_entry_editable_set().

#define elm_obj_entry_end_visible_set | ( |  | setting | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_END_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, setting)

Since
  1.8

Sets the visibility of the end widget of the entry, set by

Parameters

  [in] | setting |

See Also
  elm_entry_end_visible_set

Referenced by elm_entry_end_visible_set().

#define elm_obj_entry_entry_append | ( |  | entry | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ENTRY_APPEND), EO_TYPECHECK(const char *, entry)

Since
  1.8

Appends entry to the text of the entry.

Parameters

  [in] | entry |

See Also
  elm_entry_entry_append

Referenced by elm_entry_entry_append().

#define elm_obj_entry_entry_insert | ( |  | entry | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ENTRY_INSERT), EO_TYPECHECK(const char *, entry)

Since
  1.8

Inserts the given text into the entry at the current cursor position.

Parameters

  [in] | entry |

See Also
  elm_entry_entry_insert

Referenced by elm_entry_entry_insert().

#define elm_obj_entry_file_get | ( |  | file,
|  |  | format
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(Elm_Text_Format *, format)

Since
  1.8

Get the file being edited by the entry.

Parameters

  [out] | file |
  [out] | format |

See Also
  elm_entry_file_get

Referenced by elm_entry_file_get().

#define elm_obj_entry_file_save | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_SAVE)

Since
  1.8

This function writes any changes made to the file set with elm_entry_file_set()

See Also
  elm_entry_file_save

Referenced by elm_entry_file_save().

#define elm_obj_entry_file_set | ( |  | file,
|  |  | format,
|  |  | ret
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(Elm_Text_Format, format), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This sets the file (and implicitly loads it) for the text to display and then edit. All changes are written back to the file after a short delay if the entry object is set to autosave (which is the default).

Parameters

  [in] | file |
  [in] | format |
  [out] | ret |

See Also
  elm_entry_file_set

Referenced by elm_entry_file_set().

#define elm_obj_entry_icon_visible_set | ( |  | setting | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ICON_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, setting)

Since
  1.8

Sets the visibility of the left-side widget of the entry, set by elm_object_part_content_set().

Parameters

  [in] | setting |

See Also
  elm_entry_icon_visible_set

Referenced by elm_entry_icon_visible_set().

#define elm_obj_entry_imf_context_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IMF_CONTEXT_GET), EO_TYPECHECK(void **, ret)

Since
  1.8

Returns the input method context of the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_imf_context_get

Referenced by elm_entry_imf_context_get().

#define elm_obj_entry_imf_context_reset | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IMF_CONTEXT_RESET)

Since
  1.8

Reset the input method context of the entry if needed.

See Also
  elm_entry_imf_context_reset

Referenced by elm_entry_imf_context_reset().

#define elm_obj_entry_input_panel_enabled_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve the attribute to show the input panel automatically.

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_enabled_get

Referenced by elm_entry_input_panel_enabled_get().

#define elm_obj_entry_input_panel_enabled_set | ( |  | enabled | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)

Since
  1.8

Sets the attribute to show the input panel automatically.

Parameters

  [in] | enabled |

See Also
  elm_entry_input_panel_enabled_set

Referenced by elm_entry_input_panel_enabled_set().

#define elm_obj_entry_input_panel_hide | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_HIDE)

Since
  1.8

Hide the input panel (virtual keyboard).

See Also
  elm_entry_input_panel_hide

Referenced by elm_entry_input_panel_hide().

#define elm_obj_entry_input_panel_imdata_get | ( |  | data,
|  |  | len
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_IMDATA_GET), EO_TYPECHECK(void *, data), EO_TYPECHECK(int *, len)

Since
  1.8

Get the specific data of the current input panel.

Parameters

  [out] | data |
  [out] | len |

See Also
  elm_entry_input_panel_imdata_get

Referenced by elm_entry_input_panel_imdata_get().

#define elm_obj_entry_input_panel_imdata_set | ( |  | data,
|  |  | len
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_IMDATA_SET), EO_TYPECHECK(const void *, data), EO_TYPECHECK(int, len)

Since
  1.8

Set the input panel-specific data to deliver to the input panel.

Parameters

  [in] | data |
  [in] | len |

See Also
  elm_entry_input_panel_imdata_set

Referenced by elm_entry_input_panel_imdata_set().

#define elm_obj_entry_input_panel_language_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LANGUAGE_GET), EO_TYPECHECK(Elm_Input_Panel_Lang *, ret)

Since
  1.8

Get the language mode of the input panel.

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_language_get

Referenced by elm_entry_input_panel_language_get().

#define elm_obj_entry_input_panel_language_set | ( |  | lang | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LANGUAGE_SET), EO_TYPECHECK(Elm_Input_Panel_Lang, lang)

Since
  1.8

Set the language mode of the input panel.

Parameters

  [in] | lang |

See Also
  elm_entry_input_panel_language_set

Referenced by elm_entry_input_panel_language_set().

#define elm_obj_entry_input_panel_layout_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_GET), EO_TYPECHECK(Elm_Input_Panel_Layout *, ret)

Since
  1.8

Get the input panel layout of the entry

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_layout_get

Referenced by elm_entry_input_panel_layout_get().

#define elm_obj_entry_input_panel_layout_set | ( |  | layout | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_SET), EO_TYPECHECK(Elm_Input_Panel_Layout, layout)

Since
  1.8

Set the input panel layout of the entry

Parameters

  [in] | layout |

See Also
  elm_entry_input_panel_layout_set

Referenced by elm_entry_input_panel_layout_set().

#define elm_obj_entry_input_panel_layout_variation_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_VARIATION_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the input panel layout variation of the entry

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_layout_variation_get

Referenced by elm_entry_input_panel_layout_variation_get().

#define elm_obj_entry_input_panel_layout_variation_set | ( |  | variation | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_LAYOUT_VARIATION_SET), EO_TYPECHECK(int, variation)

Since
  1.8

Set the input panel layout variation of the entry

Parameters

  [in] | layout | variation

See Also
  elm_entry_input_panel_layout_variation_set

Referenced by elm_entry_input_panel_layout_variation_set().

#define elm_obj_entry_input_panel_return_key_autoenabled_set | ( |  | enabled | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_AUTOENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)

Since
  1.8

Set whether the return key on the input panel is disabled automatically when entry has no text.

Parameters

  [in] | enabled |

See Also
  elm_entry_input_panel_return_key_autoenabled_set

Referenced by elm_entry_input_panel_return_key_autoenabled_set().

#define elm_obj_entry_input_panel_return_key_disabled_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the return key on the input panel should be disabled or not.

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_return_key_disabled_get

Referenced by elm_entry_input_panel_return_key_disabled_get().

#define elm_obj_entry_input_panel_return_key_disabled_set | ( |  | disabled | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

Set the return key on the input panel to be disabled.

Parameters

  [in] | disabled |

See Also
  elm_entry_input_panel_return_key_disabled_set

Referenced by elm_entry_input_panel_return_key_disabled_set().

#define elm_obj_entry_input_panel_return_key_type_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_TYPE_GET), EO_TYPECHECK(Elm_Input_Panel_Return_Key_Type *, ret)

Since
  1.8

Get the "return" key type.

Parameters

  [out] | ret |

See Also
  elm_entry_input_panel_return_key_type_get

Referenced by elm_entry_input_panel_return_key_type_get().

#define elm_obj_entry_input_panel_return_key_type_set | ( |  | return_key_type | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_RETURN_KEY_TYPE_SET), EO_TYPECHECK(Elm_Input_Panel_Return_Key_Type, return_key_type)

Since
  1.8

Set the "return" key type. This type is used to set string or icon on the "return" key of the input panel.

Parameters

  [in] | return_key_type |

See Also
  elm_entry_input_panel_return_key_type_set

Referenced by elm_entry_input_panel_return_key_type_set().

#define elm_obj_entry_input_panel_show | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_INPUT_PANEL_SHOW)

Since
  1.8

Show the input panel (virtual keyboard) based on the input panel property of entry such as layout, autocapital types, and so on.

See Also
  elm_entry_input_panel_show

Referenced by elm_entry_input_panel_show().

#define elm_obj_entry_is_empty | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_IS_EMPTY), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the entry is empty.

Parameters

  [out] | ret |

See Also
  elm_entry_is_empty

Referenced by elm_entry_is_empty().

#define elm_obj_entry_item_provider_append | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_APPEND), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

This appends a custom item provider to the list for that entry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_item_provider_append

Referenced by elm_entry_item_provider_append().

#define elm_obj_entry_item_provider_prepend | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_PREPEND), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

This prepends a custom item provider to the list for that entry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_item_provider_prepend

Referenced by elm_entry_item_provider_prepend().

#define elm_obj_entry_item_provider_remove | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_ITEM_PROVIDER_REMOVE), EO_TYPECHECK(Elm_Entry_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

This removes a custom item provider to the list for that entry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_item_provider_remove

Referenced by elm_entry_item_provider_remove().

#define elm_obj_entry_line_wrap_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_LINE_WRAP_GET), EO_TYPECHECK(Elm_Wrap_Type *, ret)

Since
  1.8

Get the wrap mode the entry was set to use.

Parameters

  [out] | ret |

See Also
  elm_entry_line_wrap_get

Referenced by elm_entry_line_wrap_get().

#define elm_obj_entry_line_wrap_set | ( |  | wrap | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_LINE_WRAP_SET), EO_TYPECHECK(Elm_Wrap_Type, wrap)

Since
  1.8

Set the line wrap type to use on multi-line entries.

Parameters

  [in] | wrap |

See Also
  elm_entry_line_wrap_set

#define elm_obj_entry_markup_filter_append | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_APPEND), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Append a markup filter function for text inserted in the entry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_markup_filter_append

Referenced by elm_entry_markup_filter_append().

#define elm_obj_entry_markup_filter_prepend | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_PREPEND), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Prepend a markup filter function for text inserted in the entry

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_markup_filter_prepend

Referenced by elm_entry_markup_filter_prepend().

#define elm_obj_entry_markup_filter_remove | ( |  | func,
|  |  | data
| ) |  | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_MARKUP_FILTER_REMOVE), EO_TYPECHECK(Elm_Entry_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Remove a markup filter from the list

Parameters

  [in] | func |
  [in] | data |

See Also
  elm_entry_markup_filter_remove

Referenced by elm_entry_markup_filter_remove().

#define elm_obj_entry_password_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PASSWORD_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the entry is set to password mode.

Parameters

  [out] | ret |

See Also
  elm_entry_password_get

Referenced by elm_entry_password_get().

#define elm_obj_entry_password_set | ( |  | password | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PASSWORD_SET), EO_TYPECHECK(Eina_Bool, password)

Since
  1.8

Sets the entry to password mode.

Parameters

  [in] | password |

See Also
  elm_entry_password_set

Referenced by elm_entry_password_set().

#define elm_obj_entry_prediction_allow_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PREDICTION_ALLOW_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the entry should allow to use the text prediction.

Parameters

  [out] | ret |

See Also
  elm_entry_prediction_allow_get

Referenced by elm_entry_prediction_allow_get().

#define elm_obj_entry_prediction_allow_set | ( |  | prediction | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_PREDICTION_ALLOW_SET), EO_TYPECHECK(Eina_Bool, prediction)

Since
  1.8

Set whether the entry should allow to use the text prediction.

Parameters

  [in] | prediction |

See Also
  elm_entry_prediction_allow_set

Referenced by elm_entry_prediction_allow_set().

#define elm_obj_entry_scrollable_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SCROLLABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the scrollable state of the entry

Parameters

  [out] | ret |

See Also
  elm_entry_scrollable_get

Referenced by elm_entry_scrollable_get().

#define elm_obj_entry_scrollable_set | ( |  | scroll | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SCROLLABLE_SET), EO_TYPECHECK(Eina_Bool, scroll)

Since
  1.8

Enable or disable scrolling in entry

Parameters

  [in] | scroll |

See Also
  elm_entry_scrollable_set

Referenced by elm_entry_scrollable_set().

#define elm_obj_entry_select_all | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECT_ALL)

Since
  1.8

This selects all text within the entry.

See Also
  elm_entry_select_all

Referenced by elm_entry_select_all().

#define elm_obj_entry_select_none | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECT_NONE)

Since
  1.8

This drops any existing text selection within the entry.

See Also
  elm_entry_select_none

Referenced by elm_entry_select_none().

#define elm_obj_entry_selection_copy | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_COPY)

Since
  1.8

This executes a "copy" action on the selected text in the entry.

See Also
  elm_entry_selection_copy

Referenced by elm_entry_selection_copy().

#define elm_obj_entry_selection_cut | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_CUT)

Since
  1.8

This executes a "cut" action on the selected text in the entry.

See Also
  elm_entry_selection_cut

Referenced by elm_entry_selection_cut().

#define elm_obj_entry_selection_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get any selected text within the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_selection_get

Referenced by elm_entry_selection_get().

#define elm_obj_entry_selection_handler_disabled_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_HANDLER_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

This returns whether the entry's selection handlers are disabled.

Parameters

  [out] | ret |

See Also
  elm_entry_selection_handler_disabled_get

#define elm_obj_entry_selection_handler_disabled_set | ( |  | disbaled | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_HANDLER_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

This disables entry's selection handlers.

Parameters

  [in] | disabled |

See Also
  elm_entry_selection_handler_disabled_set

Referenced by elm_entry_selection_handler_disabled_set().

#define elm_obj_entry_selection_paste | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SELECTION_PASTE)

Since
  1.8

This executes a "paste" action in the entry.

See Also
  elm_entry_selection_paste

Referenced by elm_entry_selection_paste().

#define elm_obj_entry_single_line_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SINGLE_LINE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the entry is set to be single line.

Parameters

  [out] | ret |

See Also
  elm_entry_single_line_get

Referenced by elm_entry_single_line_get().

#define elm_obj_entry_single_line_set | ( |  | single_line | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_SINGLE_LINE_SET), EO_TYPECHECK(Eina_Bool, single_line)

Since
  1.8

Sets the entry to single line mode.

Parameters

  [in] | single_line |

See Also
  elm_entry_single_line_set

Referenced by elm_entry_single_line_set().

#define elm_obj_entry_text_style_user_peek | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_PEEK), EO_TYPECHECK(const char **, ret)

Since
  1.8

Retrieve the style on the top of user style stack.

Parameters

  [out] | ret |

See Also
  elm_entry_text_style_user_peek

#define elm_obj_entry_text_style_user_pop | ( |  | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_POP)

Since
  1.8

Remove the style in the top of user style stack.

See Also
  elm_entry_text_style_user_pop

#define elm_obj_entry_text_style_user_push | ( |  | style | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXT_STYLE_USER_PUSH), EO_TYPECHECK(const char *, style)

Since
  1.8

Push the style to the top of user style stack.

Parameters

  [in] | style |

See Also
  elm_entry_text_style_user_push

#define elm_obj_entry_textblock_get | ( |  | ret | ) | ELM_OBJ_ENTRY_ID(ELM_OBJ_ENTRY_SUB_ID_TEXTBLOCK_GET), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Returns the actual textblock object of the entry.

Parameters

  [out] | ret |

See Also
  elm_entry_textblock_get

Referenced by elm_entry_textblock_get().

## Function Documentation

Evas_Object* elm_entry_add | ( | Evas_Object * | parent | ) |

This adds an entry to `parent` object.

By default, entries are:

- not scrolled
- multi-line
- word wrapped
- autosave is enabled

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_entry_anchor_hover_end | ( | Evas_Object * | obj | ) |

Ends the hover popup in the entry.

When an anchor is clicked, the entry widget will create a hover object to use as a popup with user provided content. This function terminates this popup, returning the entry to its normal state.

Parameters

  obj | The entry object

References elm_obj_entry_anchor_hover_end.

Evas_Object* elm_entry_anchor_hover_parent_get | ( | const Evas_Object * | obj | ) |

Get the parent of the hover popup.

Get the object used as parent for the hover created by the entry widget. See Hover for more details on this. If no parent is set, the same entry object will be used.

Parameters

  obj | The entry object

Returns
  The object used as parent for the hover, NULL if none is set.

References elm_obj_entry_anchor_hover_parent_get.

void elm_entry_anchor_hover_parent_set | ( | Evas_Object * | obj,
|  | Evas_Object * | parent
| ) |  |

Set the parent of the hover popup.

Sets the parent object to use by the hover created by the entry when an anchor is clicked. See Hover for more details on this.

Parameters

  obj | The entry object
  parent | The object to use as parent for the hover

References elm_obj_entry_anchor_hover_parent_set.

const char* elm_entry_anchor_hover_style_get | ( | const Evas_Object * | obj | ) |

Get the style that the hover should use.

Get the style, the hover created by entry will use.

Parameters

  obj | The entry object

Returns
  The style to use by the hover. `NULL` means the default is used.

See Also
  elm_object_style_set()

void elm_entry_anchor_hover_style_set | ( | Evas_Object * | obj,
|  | const char * | style
| ) |  |

Set the style that the hover should use.

When creating the popup hover, entry will request that it's themed according to `style`.

Setting style no `NULL` means disabling automatic hover.

Parameters

  obj | The entry object
  style | The style to use for the underlying hover

See Also
  elm_object_style_set()

References elm_obj_entry_anchor_hover_style_set.

Elm_Autocapital_Type elm_entry_autocapital_type_get | ( | const Evas_Object * | obj | ) |

Retrieve the autocapitalization type on the immodule.

Parameters

  obj | The entry object

Returns
  autocapitalization type

References elm_obj_entry_autocapital_type_get.

void elm_entry_autocapital_type_set | ( | Evas_Object * | obj,
|  | Elm_Autocapital_Type | autocapital_type
| ) |  |

Set the autocapitalization type on the immodule.

Parameters

  obj | The entry object
  autocapital_type | The type of autocapitalization

References elm_obj_entry_autocapital_type_set.

Eina_Bool elm_entry_autosave_get | ( | const Evas_Object * | obj | ) |

This gets the entry object's 'autosave' status.

Parameters

  obj | The entry object

Returns
  Autosave the loaded file or not

See Also
  elm_entry_file_set()

References elm_obj_entry_autosave_get.

void elm_entry_autosave_set | ( | Evas_Object * | obj,
|  | Eina_Bool | autosave
| ) |  |

This sets the entry object to 'autosave' the loaded text file or not.

Parameters

  obj | The entry object
  autosave | Autosave the loaded file or not

See Also
  elm_entry_file_set()

References elm_obj_entry_autosave_set.

EINA_DEPRECATED void elm_entry_bounce_get | ( | const Evas_Object * | obj,
|  | Eina_Bool * | h_bounce,
|  | Eina_Bool * | v_bounce
| ) |  |

Get the bounce mode.

Parameters

  obj | The Entry object
  h_bounce | Allow bounce horizontally
  v_bounce | Allow bounce vertically

Deprecated:
  Use elm_scroller_bounce_get() instead.

References elm_scrollable_interface_bounce_allow_get.

EINA_DEPRECATED void elm_entry_bounce_set | ( | Evas_Object * | obj,
|  | Eina_Bool | h_bounce,
|  | Eina_Bool | v_bounce
| ) |  |

This enables/disables bouncing within the entry.

This function sets whether the entry will bounce when scrolling reaches the end of the contained entry.

Parameters

  obj | The entry object
  h_bounce | The horizontal bounce state
  v_bounce | The vertical bounce state

Deprecated:
  Use elm_scroller_bounce_set() instead.

References elm_scrollable_interface_bounce_allow_set.

void elm_entry_calc_force | ( | Evas_Object * | obj | ) |

Forces calculation of the entry size and text layouting.

This should be used after modifying the textblock object directly. See elm_entry_textblock_get() for more information.

Parameters

  obj | The entry object

See Also
  elm_entry_textblock_get()

References elm_obj_entry_calc_force.

Elm_Cnp_Mode elm_entry_cnp_mode_get | ( | const Evas_Object * | obj | ) |

Getting elm_entry text paste/drop mode.

Normally the entry allows both text and images to be pasted. This gets the copy & paste mode of the entry.

Parameters

  obj | The entry object

Returns
  mode One of #Elm_Cnp_Mode: #ELM_CNP_MODE_MARKUP, #ELM_CNP_MODE_NO_IMAGE, #ELM_CNP_MODE_PLAINTEXT.

References elm_obj_entry_cnp_mode_get.

void elm_entry_cnp_mode_set | ( | Evas_Object * | obj,
|  | Elm_Cnp_Mode | cnp_mode
| ) |  |

Control pasting of text and images for the widget.

Normally the entry allows both text and images to be pasted. By setting cnp_mode to be #ELM_CNP_MODE_NO_IMAGE, this prevents images from being copy or past. By setting cnp_mode to be #ELM_CNP_MODE_PLAINTEXT, this remove all tags in text .

Note
  this only changes the behaviour of text.

Parameters

  obj | The entry object
  cnp_mode | One of #Elm_Cnp_Mode: #ELM_CNP_MODE_MARKUP, #ELM_CNP_MODE_NO_IMAGE, #ELM_CNP_MODE_PLAINTEXT.

References elm_obj_entry_cnp_mode_set.

void elm_entry_context_menu_clear | ( | Evas_Object * | obj | ) |

This clears and frees the items in a entry's contextual (longpress) menu.

Parameters

  obj | The entry object

See Also
  elm_entry_context_menu_item_add()

References elm_obj_entry_context_menu_clear.

Eina_Bool elm_entry_context_menu_disabled_get | ( | const Evas_Object * | obj | ) |

This returns whether the entry's contextual (longpress) menu is disabled.

Parameters

  obj | The entry object

Returns
  If true, the menu is disabled

References elm_obj_entry_context_menu_disabled_get.

void elm_entry_context_menu_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

This disables the entry's contextual (longpress) menu.

Parameters

  obj | The entry object
  disabled | If true, the menu is disabled

References elm_obj_entry_context_menu_disabled_set.

void elm_entry_context_menu_item_add | ( | Evas_Object * | obj,
|  | const char * | label,
|  | const char * | icon_file,
|  | Elm_Icon_Type | icon_type,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

This adds an item to the entry's contextual menu.

A longpress on an entry will make the contextual menu show up, if this hasn't been disabled with elm_entry_context_menu_disabled_set(). By default, this menu provides a few options like enabling selection mode, which is useful on embedded devices that need to be explicit about it, and when a selection exists it also shows the copy and cut actions.

With this function, developers can add other options to this menu to perform any action they deem necessary.

Parameters

  obj | The entry object
  label | The item's text label
  icon_file | The item's icon file
  icon_type | The item's icon type
  func | The callback to execute when the item is clicked
  data | The data to associate with the item for related functions

References elm_obj_entry_context_menu_item_add.

void elm_entry_context_menu_item_icon_get | ( | const Elm_Entry_Context_Menu_Item * | item,
|  | const char ** | icon_file,
|  | const char ** | icon_group,
|  | Elm_Icon_Type * | icon_type
| ) |  |

Get the icon object of the contextual menu item.

Get the icon object packed in the contextual menu item of entry.

Parameters

  item | The item to get the icon from
  icon_file | The image file path on disk used for the icon or standard icon name
  icon_group | The edje group used if `icon_file` is an edje file. NULL if the icon is not an edje file
  icon_type | The icon type

See Also
  elm_entry_context_menu_item_add()

Since
  1.8

const char* elm_entry_context_menu_item_label_get | ( | const Elm_Entry_Context_Menu_Item * | item | ) |

Get the text of the contextual menu item.

Get the text of the contextual menu item of entry.

Parameters

  item | The item to get the label

Returns
  The text of contextual menu item

See Also
  elm_entry_context_menu_item_add()

Since
  1.8

void elm_entry_cursor_begin_set | ( | Evas_Object * | obj | ) |

This moves the cursor to the beginning of the entry.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_begin_set.

char* elm_entry_cursor_content_get | ( | const Evas_Object * | obj | ) |

Get the character pointed by the cursor at its current position.

This function returns a string with the utf8 character stored at the current cursor position. Only the text is returned, any format that may exist will not be part of the return value. You must free the string when done with free().

Parameters

  obj | The entry object

Returns
  The text pointed by the cursors.

References elm_obj_entry_cursor_content_get.

Eina_Bool elm_entry_cursor_down | ( | Evas_Object * | obj | ) |

This moves the cursor one line down within the entry.

Parameters

  obj | The entry object

Returns
  EINA_TRUE upon success, EINA_FALSE upon failure

References elm_obj_entry_cursor_down.

void elm_entry_cursor_end_set | ( | Evas_Object * | obj | ) |

This moves the cursor to the end of the entry.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_end_set.

Eina_Bool elm_entry_cursor_geometry_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

This function returns the geometry of the cursor.

It's useful if you want to draw something on the cursor (or where it is), or for example in the case of scrolled entry where you want to show the cursor.

Parameters

  obj | The entry object
  x | returned geometry
  y | returned geometry
  w | returned geometry
  h | returned geometry

Returns
  EINA_TRUE upon success, EINA_FALSE upon failure

References elm_obj_entry_cursor_geometry_get.

Eina_Bool elm_entry_cursor_is_format_get | ( | const Evas_Object * | obj | ) |

Get whether a format node exists at the current cursor position.

A format node is anything that defines how the text is rendered. It can be a visible format node, such as a line break or a paragraph separator, or an invisible one, such as bold begin or end tag. This function returns whether any format node exists at the current cursor position.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if the current cursor position contains a format node, EINA_FALSE otherwise.

See Also
  elm_entry_cursor_is_visible_format_get()

References elm_obj_entry_cursor_is_format_get.

Eina_Bool elm_entry_cursor_is_visible_format_get | ( | const Evas_Object * | obj | ) |

Get if the current cursor position holds a visible format node.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if the current cursor is a visible format, EINA_FALSE if it's an invisible one or no format exists.

See Also
  elm_entry_cursor_is_format_get()

References elm_obj_entry_cursor_is_visible_format_get.

void elm_entry_cursor_line_begin_set | ( | Evas_Object * | obj | ) |

This moves the cursor to the beginning of the current line.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_line_begin_set.

void elm_entry_cursor_line_end_set | ( | Evas_Object * | obj | ) |

This moves the cursor to the end of the current line.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_line_end_set.

Eina_Bool elm_entry_cursor_next | ( | Evas_Object * | obj | ) |

This moves the cursor one place to the right within the entry.

Parameters

  obj | The entry object

Returns
  EINA_TRUE upon success, EINA_FALSE upon failure

References elm_obj_entry_cursor_next.

int elm_entry_cursor_pos_get | ( | const Evas_Object * | obj | ) |

Retrieves the current position of the cursor in the entry.

Parameters

  obj | The entry object

Returns
  The cursor position

References elm_obj_entry_cursor_pos_get.

void elm_entry_cursor_pos_set | ( | Evas_Object * | obj,
|  | int | pos
| ) |  |

Sets the cursor position in the entry to the given value.

The value in `pos` is the index of the character position within the contents of the string as returned by elm_entry_cursor_pos_get().

Parameters

  obj | The entry object
  pos | The position of the cursor

References elm_obj_entry_cursor_pos_set.

Eina_Bool elm_entry_cursor_prev | ( | Evas_Object * | obj | ) |

This moves the cursor one place to the left within the entry.

Parameters

  obj | The entry object

Returns
  EINA_TRUE upon success, EINA_FALSE upon failure

References elm_obj_entry_cursor_prev.

void elm_entry_cursor_selection_begin | ( | Evas_Object * | obj | ) |

This begins a selection within the entry as though the user were holding down the mouse button to make a selection.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_selection_begin.

void elm_entry_cursor_selection_end | ( | Evas_Object * | obj | ) |

This ends a selection within the entry as though the user had just released the mouse button while making a selection.

Parameters

  obj | The entry object

References elm_obj_entry_cursor_selection_end.

Eina_Bool elm_entry_cursor_up | ( | Evas_Object * | obj | ) |

This moves the cursor one line up within the entry.

Parameters

  obj | The entry object

Returns
  EINA_TRUE upon success, EINA_FALSE upon failure

References elm_obj_entry_cursor_up.

Eina_Bool elm_entry_editable_get | ( | const Evas_Object * | obj | ) |

Get whether the entry is editable or not.

Parameters

  obj | The entry object

Returns
  If true, the entry is editable by the user. If false, it is not editable by the user

See Also
  elm_entry_editable_set()

References elm_obj_entry_editable_get.

void elm_entry_editable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | editable
| ) |  |

Sets if the entry is to be editable or not.

By default, entries are editable and when focused, any text input by the user will be inserted at the current cursor position. But calling this function with `editable` as EINA_FALSE will prevent the user from inputting text into the entry.

The only way to change the text of a non-editable entry is to use elm_object_text_set(), elm_entry_entry_insert() and other related functions.

Parameters

  obj | The entry object
  editable | If EINA_TRUE, user input will be inserted in the entry, if not, the entry is read-only and no user input is allowed.

References elm_obj_entry_editable_set.

void elm_entry_end_visible_set | ( | Evas_Object * | obj,
|  | Eina_Bool | setting
| ) |  |

Sets the visibility of the end widget of the entry, set by elm_object_part_content_set(ent, "end", content).

Parameters

  obj | The entry object
  setting | EINA_TRUE if the object should be displayed, EINA_FALSE if not.

References elm_obj_entry_end_visible_set.

void elm_entry_entry_append | ( | Evas_Object * | obj,
|  | const char * | entry
| ) |  |

Appends `entry` to the text of the entry.

Adds the text in `entry` to the end of any text already present in the widget.

The appended text is subject to any filters set for the widget.

Parameters

  obj | The entry object
  entry | The text to be displayed

See Also
  elm_entry_markup_filter_append()

References elm_obj_entry_entry_append.

const char* elm_entry_entry_get | ( | const Evas_Object * | obj | ) |

This returns the text currently shown in object `entry`.

See also elm_entry_entry_set().

Parameters

  obj | The entry object

Returns
  The currently displayed text or NULL on failure

References elm_obj_layout_text_get.

void elm_entry_entry_insert | ( | Evas_Object * | obj,
|  | const char * | entry
| ) |  |

Inserts the given text into the entry at the current cursor position.

This inserts text at the cursor position as if it was typed by the user (note that this also allows markup which a user can't just "type" as it would be converted to escaped text, so this call can be used to insert things like emoticon items or bold push/pop tags, other font and color change tags etc.)

If any selection exists, it will be replaced by the inserted text.

The inserted text is subject to any filters set for the widget.

Parameters

  obj | The entry object
  entry | The text to insert

See Also
  elm_entry_markup_filter_append()

References elm_obj_entry_entry_insert.

void elm_entry_entry_set | ( | Evas_Object * | obj,
|  | const char * | entry
| ) |  |

This sets the text displayed within the entry to `entry`.

Parameters

  obj | The entry object
  entry | The text to be displayed

Note
  Using this function bypasses text filters

References elm_obj_layout_text_set.

void elm_entry_file_get | ( | const Evas_Object * | obj,
|  | const char ** | file,
|  | Elm_Text_Format * | format
| ) |  |

Get the file being edited by the entry.

This function can be used to retrieve any file set on the entry for edition, along with the format used to load and save it.

Parameters

  obj | The entry object
  file | The path to the file to load and save
  format | The file format

References elm_obj_entry_file_get.

void elm_entry_file_save | ( | Evas_Object * | obj | ) |

This function writes any changes made to the file set with elm_entry_file_set()

Parameters

  obj | The entry object

References elm_obj_entry_file_save.

Eina_Bool elm_entry_file_set | ( | Evas_Object * | obj,
|  | const char * | file,
|  | Elm_Text_Format | format
| ) |  |

This sets the file (and implicitly loads it) for the text to display and then edit.

All changes are written back to the file after a short delay if the entry object is set to autosave (which is the default).

If the entry had any other file set previously, any changes made to it will be saved if the autosave feature is enabled, otherwise, the file will be silently discarded and any non-saved changes will be lost.

Parameters

  obj | The entry object
  file | The path to the file to load and save
  format | The file format

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

References elm_obj_entry_file_set.

void elm_entry_filter_accept_set | ( | void * | data,
|  | Evas_Object * | entry,
|  | char ** | text
| ) |  |

Filter inserted text based on accepted or rejected sets of characters.

Add this filter to an entry to restrict the set of accepted characters based on the sets in the provided #Elm_Entry_Filter_Accept_Set. This structure contains both accepted and rejected sets, but they are mutually exclusive. This structure must be available for as long as the entry is alive AND the elm_entry_filter_accept_set is being used.

The `accepted` set takes preference, so if it is set, the filter will only work based on the accepted characters, ignoring anything in the `rejected` value. If `accepted` is `NULL`, then `rejected` is used.

In both cases, the function filters by matching utf8 characters to the raw markup text, so it can be used to remove formatting tags.

This filter, like any others, does not apply when setting the entry text directly with elm_object_text_set()

References _Elm_Entry_Filter_Accept_Set::accepted, elm_entry_markup_to_utf8(), and _Elm_Entry_Filter_Accept_Set::rejected.

void elm_entry_filter_limit_size | ( | void * | data,
|  | Evas_Object * | entry,
|  | char ** | text
| ) |  |

Filter inserted text based on user defined character and byte limits.

Add this filter to an entry to limit the characters that it will accept based the contents of the provided #Elm_Entry_Filter_Limit_Size. The function works on the UTF-8 representation of the string, converting it from the set markup, thus not accounting for any format in it.

The user must create an #Elm_Entry_Filter_Limit_Size structure and pass it as data when setting the filter. In it, it's possible to set limits by character count or bytes (any of them is disabled if 0), and both can be set at the same time. In that case, it first checks for characters, then bytes. The #Elm_Entry_Filter_Limit_Size structure must be alive and valid for as long as the entry is alive AND the elm_entry_filter_limit_size filter is set.

The function will cut the inserted text in order to allow only the first number of characters that are still allowed. The cut is made in characters, even when limiting by bytes, in order to always contain valid ones and avoid half unicode characters making it in.

This filter, like any others, does not apply when setting the entry text directly with elm_object_text_set().

References elm_entry_markup_to_utf8().

void elm_entry_icon_visible_set | ( | Evas_Object * | obj,
|  | Eina_Bool | setting
| ) |  |

Sets the visibility of the left-side widget of the entry, set by elm_object_part_content_set().

Parameters

  obj | The entry object
  setting | EINA_TRUE if the object should be displayed, EINA_FALSE if not.

References elm_obj_entry_icon_visible_set.

void* elm_entry_imf_context_get | ( | Evas_Object * | obj | ) |

Returns the input method context of the entry.

This function exposes the internal input method context.

IMPORTANT: Many functions may change (i.e delete and create a new one) the internal input method context. Do NOT cache the returned object.

Parameters

  obj | The entry object

Returns
  The input method context (Ecore_IMF_Context *) in entry.

References elm_obj_entry_imf_context_get.

void elm_entry_imf_context_reset | ( | Evas_Object * | obj | ) |

Reset the input method context of the entry if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior. This will typically cause the Input Method Context to clear the preedit state.

Parameters

  obj | The entry object

References elm_obj_entry_imf_context_reset.

Eina_Bool elm_entry_input_panel_enabled_get | ( | const Evas_Object * | obj | ) |

Retrieve the attribute to show the input panel automatically.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if input panel will be appeared when the entry is clicked or has a focus, EINA_FALSE otherwise

References elm_obj_entry_input_panel_enabled_get.

void elm_entry_input_panel_enabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Sets the attribute to show the input panel automatically.

Parameters

  obj | The entry object
  enabled | If true, the input panel is appeared when entry is clicked or has a focus

References elm_obj_entry_input_panel_enabled_set.

void elm_entry_input_panel_hide | ( | Evas_Object * | obj | ) |

Hide the input panel (virtual keyboard).

Note that input panel is shown or hidden automatically according to the focus state of entry widget. This API can be used in the case of manually controlling by using elm_entry_input_panel_enabled_set(en, EINA_FALSE)

Parameters

  obj | The entry object

References elm_obj_entry_input_panel_hide.

void elm_entry_input_panel_imdata_get | ( | const Evas_Object * | obj,
|  | void * | data,
|  | int * | len
| ) |  |

Get the specific data of the current input panel.

See elm_entry_input_panel_imdata_set for more details.

Parameters

  obj | The entry object
  data | The specific data to be got from the input panel
  len | The length of data

References elm_obj_entry_input_panel_imdata_get.

void elm_entry_input_panel_imdata_set | ( | Evas_Object * | obj,
|  | const void * | data,
|  | int | len
| ) |  |

Set the input panel-specific data to deliver to the input panel.

This API is used by applications to deliver specific data to the input panel. The data format MUST be negotiated by both application and the input panel. The size and format of data are defined by the input panel.

Parameters

  obj | The entry object
  data | The specific data to be set to the input panel.
  len | the length of data, in bytes, to send to the input panel

References elm_obj_entry_input_panel_imdata_set.

Elm_Input_Panel_Lang elm_entry_input_panel_language_get | ( | const Evas_Object * | obj | ) |

Get the language mode of the input panel.

See elm_entry_input_panel_language_set for more details.

Parameters

  obj | The entry object

Returns
  input panel language type

References elm_obj_entry_input_panel_language_get.

void elm_entry_input_panel_language_set | ( | Evas_Object * | obj,
|  | Elm_Input_Panel_Lang | lang
| ) |  |

Set the language mode of the input panel.

This API can be used if you want to show the alphabet keyboard mode.

Parameters

  obj | The entry object
  lang | language to be set to the input panel.

References elm_obj_entry_input_panel_language_set.

Elm_Input_Panel_Layout elm_entry_input_panel_layout_get | ( | const Evas_Object * | obj | ) |

Get the input panel layout of the entry.

Parameters

  obj | The entry object

Returns
  layout type

See Also
  elm_entry_input_panel_layout_set

References elm_obj_entry_input_panel_layout_get.

void elm_entry_input_panel_layout_set | ( | Evas_Object * | obj,
|  | Elm_Input_Panel_Layout | layout
| ) |  |

Set the input panel layout of the entry.

Parameters

  obj | The entry object
  layout | layout type

References elm_obj_entry_input_panel_layout_set.

int elm_entry_input_panel_layout_variation_get | ( | const Evas_Object * | obj | ) |

Get the input panel layout variation of the entry.

Parameters

  obj | The entry object

Returns
  layout variation type

See Also
  elm_entry_input_panel_layout_variation_set

Since
  1.8

References elm_obj_entry_input_panel_layout_variation_get.

void elm_entry_input_panel_layout_variation_set | ( | Evas_Object * | obj,
|  | int | variation
| ) |  |

Set the input panel layout variation of the entry.

Parameters

  obj | The entry object
  variation | layout variation type

Since
  1.8

References elm_obj_entry_input_panel_layout_variation_set.

void elm_entry_input_panel_return_key_autoenabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Set whether the return key on the input panel is disabled automatically when entry has no text.

If `enabled` is EINA_TRUE, The return key on input panel is disabled when the entry has no text. The return key on the input panel is automatically enabled when the entry has text. The default value is EINA_FALSE.

Parameters

  obj | The entry object
  enabled | If `enabled` is EINA_TRUE, the return key is automatically disabled when the entry has no text.

References elm_obj_entry_input_panel_return_key_autoenabled_set.

Eina_Bool elm_entry_input_panel_return_key_disabled_get | ( | const Evas_Object * | obj | ) |

Get whether the return key on the input panel should be disabled or not.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if it should be disabled

References elm_obj_entry_input_panel_return_key_disabled_get.

void elm_entry_input_panel_return_key_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

Set the return key on the input panel to be disabled.

Parameters

  obj | The entry object
  disabled | The state to put in in: `EINA_TRUE` for disabled, `EINA_FALSE` for enabled

References elm_obj_entry_input_panel_return_key_disabled_set.

Elm_Input_Panel_Return_Key_Type elm_entry_input_panel_return_key_type_get | ( | const Evas_Object * | obj | ) |

Get the "return" key type.

See Also
  elm_entry_input_panel_return_key_type_set() for more details

Parameters

  obj | The entry object

Returns
  The type of "return" key on the input panel

References elm_obj_entry_input_panel_return_key_type_get.

void elm_entry_input_panel_return_key_type_set | ( | Evas_Object * | obj,
|  | Elm_Input_Panel_Return_Key_Type | return_key_type
| ) |  |

Set the "return" key type.

This type is used to set string or icon on the "return" key of the input panel.

An input panel displays the string or icon associated with this type

Parameters

  obj | The entry object
  return_key_type | The type of "return" key on the input panel

References elm_obj_entry_input_panel_return_key_type_set.

void elm_entry_input_panel_show | ( | Evas_Object * | obj | ) |

Show the input panel (virtual keyboard) based on the input panel property of entry such as layout, autocapital types, and so on.

Note that input panel is shown or hidden automatically according to the focus state of entry widget. This API can be used in the case of manually controlling by using elm_entry_input_panel_enabled_set(en, EINA_FALSE).

Parameters

  obj | The entry object

References elm_obj_entry_input_panel_show.

Eina_Bool elm_entry_is_empty | ( | const Evas_Object * | obj | ) |

Get whether the entry is empty.

Empty means no text at all. If there are any markup tags, like an item tag for which no provider finds anything, and no text is displayed, this function still returns EINA_FALSE.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if the entry is empty, EINA_FALSE otherwise.

References elm_obj_entry_is_empty.

void elm_entry_item_provider_append | ( | Evas_Object * | obj,
|  | Elm_Entry_Item_Provider_Cb | func,
|  | void * | data
| ) |  |

This appends a custom item provider to the list for that entry.

This appends the given callback. The list is walked from beginning to end with each function called given the item href string in the text. If the function returns an object handle other than NULL (it should create an object to do this), then this object is used to replace that item. If not the next provider is called until one provides an item object, or the default provider in entry does.

Parameters

  obj | The entry object
  func | The function called to provide the item object
  data | The data passed to `func`

See Also
  Items

References elm_obj_entry_item_provider_append.

void elm_entry_item_provider_prepend | ( | Evas_Object * | obj,
|  | Elm_Entry_Item_Provider_Cb | func,
|  | void * | data
| ) |  |

This prepends a custom item provider to the list for that entry.

This prepends the given callback. See elm_entry_item_provider_append() for more information

Parameters

  obj | The entry object
  func | The function called to provide the item object
  data | The data passed to `func`

References elm_obj_entry_item_provider_prepend.

void elm_entry_item_provider_remove | ( | Evas_Object * | obj,
|  | Elm_Entry_Item_Provider_Cb | func,
|  | void * | data
| ) |  |

This removes a custom item provider to the list for that entry.

This removes the given callback. See elm_entry_item_provider_append() for more information

Parameters

  obj | The entry object
  func | The function called to provide the item object
  data | The data passed to `func`

References elm_obj_entry_item_provider_remove.

Elm_Wrap_Type elm_entry_line_wrap_get | ( | const Evas_Object * | obj | ) |

Get the wrap mode the entry was set to use.

Parameters

  obj | The entry object

Returns
  Wrap type

See Also
  also elm_entry_line_wrap_set()

References elm_obj_entry_line_wrap_get.

void elm_entry_markup_filter_append | ( | Evas_Object * | obj,
|  | Elm_Entry_Filter_Cb | func,
|  | void * | data
| ) |  |

Append a markup filter function for text inserted in the entry.

Append the given callback to the list. This functions will be called whenever any text is inserted into the entry, with the text to be inserted as a parameter. The type of given text is always markup. The callback function is free to alter the text in any way it wants, but it must remember to free the given pointer and update it. If the new text is to be discarded, the function can free it and set its text parameter to NULL. This will also prevent any following filters from being called.

Parameters

  obj | The entry object
  func | The function to use as text filter
  data | User data to pass to `func`

References elm_obj_entry_markup_filter_append.

void elm_entry_markup_filter_prepend | ( | Evas_Object * | obj,
|  | Elm_Entry_Filter_Cb | func,
|  | void * | data
| ) |  |

Prepend a markup filter function for text inserted in the entry.

Prepend the given callback to the list. See elm_entry_markup_filter_append() for more information

Parameters

  obj | The entry object
  func | The function to use as text filter
  data | User data to pass to `func`

References elm_obj_entry_markup_filter_prepend.

void elm_entry_markup_filter_remove | ( | Evas_Object * | obj,
|  | Elm_Entry_Filter_Cb | func,
|  | void * | data
| ) |  |

Remove a markup filter from the list.

Removes the given callback from the filter list. See elm_entry_markup_filter_append() for more information.

Parameters

  obj | The entry object
  func | The filter function to remove
  data | The user data passed when adding the function

References elm_obj_entry_markup_filter_remove.

char* elm_entry_markup_to_utf8 | ( | const char * | s | ) |

This converts a markup (HTML-like) string into UTF-8.

The returned string is a malloc'ed buffer and it should be freed when not needed anymore.

Parameters

  s | The string (in markup) to be converted

Returns
  The converted string (in UTF-8). It should be freed.

Referenced by elm_entry_filter_accept_set(), and elm_entry_filter_limit_size().

Eina_Bool elm_entry_password_get | ( | const Evas_Object * | obj | ) |

Get whether the entry is set to password mode.

Parameters

  obj | The entry object

Returns
  If true, the entry is set to display all characters as asterisks (*).

See Also
  elm_entry_password_set()

References elm_obj_entry_password_get.

void elm_entry_password_set | ( | Evas_Object * | obj,
|  | Eina_Bool | password
| ) |  |

Sets the entry to password mode.

In password mode, entries are implicitly single line and the display of any text in them is replaced with asterisks (*).

Parameters

  obj | The entry object
  password | If true, password mode is enabled.

References elm_obj_entry_password_set.

Eina_Bool elm_entry_prediction_allow_get | ( | const Evas_Object * | obj | ) |

Get whether the entry should allow to use the text prediction.

Parameters

  obj | The entry object

Returns
  EINA_TRUE if it allows to use the text prediction, otherwise EINA_FALSE.

References elm_obj_entry_prediction_allow_get.

void elm_entry_prediction_allow_set | ( | Evas_Object * | obj,
|  | Eina_Bool | prediction
| ) |  |

Set whether the entry should allow to use the text prediction.

Parameters

  obj | The entry object
  prediction | Whether the entry should allow to use the text prediction.

References elm_obj_entry_prediction_allow_set.

Eina_Bool elm_entry_scrollable_get | ( | const Evas_Object * | obj | ) |

Get the scrollable state of the entry.

Normally the entry is not scrollable. This gets the scrollable state of the entry. See elm_entry_scrollable_set() for more information.

Parameters

  obj | The entry object

Returns
  The scrollable state

References elm_obj_entry_scrollable_get.

void elm_entry_scrollable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | scroll
| ) |  |

Enable or disable scrolling in entry.

Normally the entry is not scrollable unless you enable it with this call.

Parameters

  obj | The entry object
  scroll | EINA_TRUE if it is to be scrollable, EINA_FALSE otherwise

References elm_obj_entry_scrollable_set.

EINA_DEPRECATED void elm_entry_scrollbar_policy_set | ( | Evas_Object * | obj,
|  | Elm_Scroller_Policy | h,
|  | Elm_Scroller_Policy | v
| ) |  |

This sets the entry's scrollbar policy (i.e.

enabling/disabling them).

Setting an entry to single-line mode with elm_entry_single_line_set() will automatically disable the display of scrollbars when the entry moves inside its scroller.

Parameters

  obj | The entry object
  h | The horizontal scrollbar policy to apply
  v | The vertical scrollbar policy to apply

Deprecated:
  Use elm_scroller_policy_set() instead.

References elm_scrollable_interface_policy_set.

void elm_entry_select_all | ( | Evas_Object * | obj | ) |

This selects all text within the entry.

Parameters

  obj | The entry object

References elm_obj_entry_select_all.

void elm_entry_select_none | ( | Evas_Object * | obj | ) |

This drops any existing text selection within the entry.

Parameters

  obj | The entry object

References elm_obj_entry_select_none.

void elm_entry_selection_copy | ( | Evas_Object * | obj | ) |

This executes a "copy" action on the selected text in the entry.

Parameters

  obj | The entry object

References elm_obj_entry_selection_copy.

void elm_entry_selection_cut | ( | Evas_Object * | obj | ) |

This executes a "cut" action on the selected text in the entry.

Parameters

  obj | The entry object

References elm_obj_entry_selection_cut.

const char* elm_entry_selection_get | ( | const Evas_Object * | obj | ) |

Get any selected text within the entry.

If there's any selected text in the entry, this function returns it as a string in markup format. NULL is returned if no selection exists or if an error occurred.

The returned value points to an internal string and should not be freed or modified in any way. If the `entry` object is deleted or its contents are changed, the returned pointer should be considered invalid.

Parameters

  obj | The entry object

Returns
  The selected text within the entry or NULL on failure

References elm_obj_entry_selection_get.

void elm_entry_selection_handler_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

This disabled the entry's selection handlers.

This returns whether the entry's selection handlers are disabled.

Parameters

  obj | The entry object
  disabled | If true, the selection handlers are disabled.
  obj | The entry object

Returns
  If true, the selection handlers are disabled.

This disabled the entry's selection handlers.

Parameters

  obj | The entry object

Returns
  If true, the selection handlers are disabled.

References elm_obj_entry_selection_handler_disabled_set.

void elm_entry_selection_paste | ( | Evas_Object * | obj | ) |

This executes a "paste" action in the entry.

Parameters

  obj | The entry object

References elm_obj_entry_selection_paste.

Eina_Bool elm_entry_single_line_get | ( | const Evas_Object * | obj | ) |

Get whether the entry is set to be single line.

Parameters

  obj | The entry object

Returns
  single_line If true, the text in the entry is set to display on a single line.

See Also
  elm_entry_single_line_set()

References elm_obj_entry_single_line_get.

void elm_entry_single_line_set | ( | Evas_Object * | obj,
|  | Eina_Bool | single_line
| ) |  |

Sets the entry to single line mode.

In single line mode, entries don't ever wrap when the text reaches the edge, and instead they keep growing horizontally. Pressing the `Enter` key will generate an `"activate"` event instead of adding a new line.

When `single_line` is `EINA_FALSE`, line wrapping takes effect again and pressing enter will break the text into a different line without generating any events.

Parameters

  obj | The entry object
  single_line | If true, the text in the entry will be on a single line.

References elm_obj_entry_single_line_set.

Evas_Object* elm_entry_textblock_get | ( | Evas_Object * | obj | ) |

Returns the actual textblock object of the entry.

This function exposes the internal textblock object that actually contains and draws the text. This should be used for low-level manipulations that are otherwise not possible.

Changing the textblock directly from here will not notify edje/elm to recalculate the textblock size automatically, so any modifications done to the textblock returned by this function should be followed by a call to elm_entry_calc_force().

The return value is marked as const as an additional warning. One should not use the returned object with any of the generic evas functions (geometry_get/resize/move and etc), but only with the textblock functions; The former will either not work at all, or break the correct functionality.

IMPORTANT: Many functions may change (i.e delete and create a new one) the internal textblock object. Do NOT cache the returned object, and try not to mix calls on this object with regular elm_entry calls (which may change the internal textblock object). This applies to all cursors returned from textblock calls, and all the other derivative values.

Parameters

  obj | The entry object

Returns
  The textblock object.

References elm_obj_entry_textblock_get.

char* elm_entry_utf8_to_markup | ( | const char * | s | ) |

This converts a UTF-8 string into markup (HTML-like).

The returned string is a malloc'ed buffer and it should be freed when not needed anymore.

Parameters

  s | The string (in UTF-8) to be converted

Returns
  The converted string (in markup). It should be freed.

For example, passing "<align=center>hello</align>&gt;" will return "&lt;align=center&gt;hello&lt;/align&gt; &amp;gt;". This is useful when you want to display "&" in label, entry, and some widgets which use textblock internally.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:13